Автор Тема: После установки KDE при входе в систему отображается только курсор  (Прочитано 5124 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Ethanol

Здравствуйте.

Решил поменять Xfce на KDE на своём компьютере (Debian 9.2 amd64). В терминале ввожу команду sudo apt-get install kde-full.
Он скачивает приблизительно 900 Мб и вылезает сообщение какой менеджер окон оставить по умолчанию: lightdm или sddm. Я так понял, что с Qt в KDE работает именно sddm и выбрал его.
Затем попробовал перезагрузиться  и в момент старта высветилась ошибка, что не может запустить lightdm. Вместо поля логина и пароля у меня чёрный экран.
Затем попробовал удалить lightdm, потому как подумал, что они конфликтуют друг с другом: sudo apt-get purge lightdm*
И переустановил kde: sudo aptitude reinstall kde-full, sudo aptitude install kde-full.

Теперь при входе в систему отображается только курсор мыши. Притом если поводить им по экрану, он меняет значок стрелки на вытянутый палец (кнопка видимо какая-то попадается по центру и вверху в правом углу).

В Google ответа не нашёл. Прошу разъяснить, что сделал не так и как всё починить?
 

Оффлайн ferum

Пятые кеды пока для нас новинка. По этому придётся действовать методом научного тыка.
Пробуйте Свалить систему в консоль Ctrl+Alt+F1
startx
если сессия запустится нормально
 # dpkg-reconfigure sddm
Если нет видимо дела в конфигурационных файлах
/etc/sddm/Xsession
#! /bin/sh
# Xsession - run as user

session=$1

# Note that the respective logout scripts are not sourced.
case $SHELL in
  */bash)
    [ -z "$BASH" ] && exec $SHELL $0 "$@"
    set +o posix
    [ -f /etc/profile ] && . /etc/profile
    if [ -f $HOME/.bash_profile ]; then
      . $HOME/.bash_profile
    elif [ -f $HOME/.bash_login ]; then
      . $HOME/.bash_login
    elif [ -f $HOME/.profile ]; then
      . $HOME/.profile
    fi
    ;;
  */zsh)
    [ -z "$ZSH_NAME" ] && exec $SHELL $0 "$@"
    emulate -R zsh
    [ -d /etc/zsh ] && zdir=/etc/zsh || zdir=/etc
    zhome=${ZDOTDIR:-$HOME}
    # zshenv is always sourced automatically.
    [ -f $zdir/zprofile ] && . $zdir/zprofile
    [ -f $zhome/.zprofile ] && . $zhome/.zprofile
    [ -f $zdir/zlogin ] && . $zdir/zlogin
    [ -f $zhome/.zlogin ] && . $zhome/.zlogin
    setopt shwordsplit noextendedglob
    ;;
  */csh|*/tcsh)
    # [t]cshrc is always sourced automatically.
    # Note that sourcing csh.login after .cshrc is non-standard.
    xsess_tmp=`mktemp /tmp/xsess-env-XXXXXX`
    $SHELL -c "if (-f /etc/csh.login) source /etc/csh.login; if (-f ~/.login) source ~/.login; /bin/sh -c 'export -p' >! $xsess_tmp"
    . $xsess_tmp
    rm -f $xsess_tmp
    ;;
  *) # Plain sh, ksh, and anything we do not know.
    [ -f /etc/profile ] && . /etc/profile
    [ -f $HOME/.profile ] && . $HOME/.profile
    ;;
esac

# invoke global X session script
. /etc/X11/Xsession



/etc/X11/Xsession

#!/bin/sh
#
# /etc/X11/Xsession
#
# global Xsession file -- used by display managers and xinit (startx)

# $Id: Xsession 967 2005-12-27 07:20:55Z dnusinow $

set -e

PROGNAME=Xsession

message () {
  # pretty-print messages of arbitrary length; use xmessage if it
  # is available and $DISPLAY is set
  MESSAGE="$PROGNAME: $*"
  echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2
  if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
    echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
  fi
}

message_nonl () {
  # pretty-print messages of arbitrary length (no trailing newline); use
  # xmessage if it is available and $DISPLAY is set
  MESSAGE="$PROGNAME: $*"
  echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2;
  if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
    echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
  fi
}

errormsg () {
  # exit script with error
  message "$*"
  exit 1
}

internal_errormsg () {
  # exit script with error; essentially a "THIS SHOULD NEVER HAPPEN" message
  # One big call to message() for the sake of xmessage; if we had two then
  # the user would have dismissed the error we want reported before seeing the
  # request to report it.
  errormsg "$*" \
           "Please report the installed version of the \"x11-common\"" \
           "package and the complete text of this error message to" \
           "<debian-x@lists.debian.org>."
}

# initialize variables for use by all session scripts

OPTIONFILE=/etc/X11/Xsession.options

SYSRESOURCES=/etc/X11/Xresources
USRRESOURCES=$HOME/.Xresources

SYSSESSIONDIR=/etc/X11/Xsession.d
USERXSESSION=$HOME/.xsession
USERXSESSIONRC=$HOME/.xsessionrc
ALTUSERXSESSION=$HOME/.Xsession
ERRFILE=$HOME/.xsession-errors

# attempt to create an error file; abort if we cannot
if (umask 077 && touch "$ERRFILE") 2> /dev/null && [ -w "$ERRFILE" ] &&
  [ ! -L "$ERRFILE" ]; then
  chmod 600 "$ERRFILE"
elif ERRFILE=$(tempfile 2> /dev/null); then
  if ! ln -sf "$ERRFILE" "${TMPDIR:=/tmp}/xsession-$USER"; then
    message "warning: unable to symlink \"$TMPDIR/xsession-$USER\" to" \
             "\"$ERRFILE\"; look for session log/errors in" \
             "\"$TMPDIR/xsession-$USER\"."
  fi
else
  errormsg "unable to create X session log/error file; aborting."
fi

exec >>"$ERRFILE" 2>&1

echo "$PROGNAME: X session started for $LOGNAME at $(date)"

# sanity check; is our session script directory present?
if [ ! -d "$SYSSESSIONDIR" ]; then
  errormsg "no \"$SYSSESSIONDIR\" directory found; aborting."
fi

# Attempt to create a file of non-zero length in /tmp; a full filesystem can
# cause mysterious X session failures.  We do not use touch, :, or test -w
# because they won't actually create a file with contents.  We also let standard
# error from tempfile and echo go to the error file to aid the user in
# determining what went wrong.
WRITE_TEST=$(tempfile)
if ! echo "*" >>"$WRITE_TEST"; then
  message "warning: unable to write to ${WRITE_TEST%/*}; X session may exit" \
          "with an error"
fi
rm -f "$WRITE_TEST"

# use run-parts to source every file in the session directory; we source
# instead of executing so that the variables and functions defined above
# are available to the scripts, and so that they can pass variables to each
# other
SESSIONFILES=$(run-parts --list $SYSSESSIONDIR)
if [ -n "$SESSIONFILES" ]; then
  set +e
  for SESSIONFILE in $SESSIONFILES; do
    . $SESSIONFILE
  done
  set -e
fi

exit 0

# vim:set ai et sts=2 sw=2 tw=80:

P.S. У меня кеды, но пробовал ставить сверху E17 из репозитория, при попытке выбрать его через gui sddm сначала типа настройка а потом тоже только курсор на чёрном экране.
По этому я склоняюсь к настройкам конфигов сессии, только не забывайте делать бекап.
P.P.S. По идее всё проще делается через lightdm но вот кеды не разу не пробовал грузить тем более пятые.
Русские дебианщики против цифрового слабоумия !
 
Пользователи, которые поблагодарили этот пост: Ethanol

Оффлайн Ethanol

Не совсем понял. Конфигурационные файлы вроде такие же. Что с ними (в них) требуется поменять?

Пробовал также запустить KDE с Lightdm. Вводил логин и пароль. Загружались обои рабочего стола, появлялся курсор. При щелчке правой кнопки мыши можно было выбрать какие-то действия (которые не выполнялись вроде).  Ни панелей, ничего не было. Притом можно было запустить без проблем другие графические оболочки (тот же Xfce).
« Последнее редактирование: 04 Ноября 2017, 15:54:01 от Ethanol »
 

Оффлайн ferum

Такое впечатление что kde-full вовсе не тянет по зависимостям все нужные пакеты.
Google говорит http://linux-notes.org/ustanovka-kde-5-plasma-v-unix-linux/
Русские дебианщики против цифрового слабоумия !
 
Пользователи, которые поблагодарили этот пост: Ethanol

Оффлайн Ethanol

Ок. Попробовал. Вводил:
tasksel install kde-desktop - установка прошла почти моментально.
echo "exec startkde" >> ~/.xinitrc
Затем перезагрузился.
systemctl get-defaultВывел:
Затем продолжил:
graphical.targetsystemctl set-default graphical.target
systemctl get-default
systemctl isolate graphical.target

Теперь при загрузке системы вообще не загружается GUI. Ну просто в консольном режиме запрашивает логин и пароль. При вводе команды Startx выдаёт ошибку "Fatal server error: (EE) no screen found(EE)"
xinit: giving up
xinit: unable to connect to X server: connect refused
xinit: server error

Cообщение объединено 04 Ноября 2017, 18:47:00
Ок. Переустановил драйвер Nvidia и запустился sddm, а за ним и KDE.
Большое спасибо за помощь!
« Последнее редактирование: 04 Ноября 2017, 18:47:00 от Ethanol »
 

Оффлайн ferum

ООООО как всё запущено....
Стесняюсь спросить с какой целью вы лепите команды для RHEL/Centos в debian?
 Что там прошло мнгновенно? У нас установка/удаление пакетов apt, aptitude
то бишь
# apt install task-kde-desktopкомандой
echo "exec startkde" >> ~/.xinitrcвы создали исполняемый файл xinitrc в домашней директории своего пользователя с содержанием exec startkde  который теперь сносит башню системе, удалите его на ... только если создавали из под root то и для удаления нужны права
rm ~/.xinitrc что наделали другие команды затрудняюсь сказать но думаю ни чего страшного
 На всякий случай можно принудительно включить sddm и перезагрузиться
# systemctl enable sddm.service
#reboot
« Последнее редактирование: 04 Ноября 2017, 19:16:47 от ferum »
Русские дебианщики против цифрового слабоумия !
 

Оффлайн nihi1ist

Привет!

У меня похожая проблема, но я пытаюсь установить кеды из testing. Вроде бы установил минимальный набор пакетов, который работал на stable. Вроде система запустилась до экрана авторизации. Но ни мышь, ни клава не работают. А ведь пакеты для клавы и мыши установлены xserver-xorg-input-kbd и xserver-xorg-input-mouse.

Вот список пакетов:
breeze-cursor-theme breeze-icon-theme gtk3-engines-breeze hunspell hunspell-en-us hunspell-ru kde-config-cron kde-config-systemd kde-config-gtk-style kde-config-gtk-style-preview kde-config-screenlocker kde-config-sddm kde-l10n-ru kde-plasma-desktop kde-style-breeze kio-extras kleopatra kwin-style-breeze kwin-x11 plasma-wallpapers-addons plasma-desktop plasma-framework plasma-integration plasma-nm plasma-pa plasma-widgets-addons plasma-workspace plasma-workspace-wallpapers pulseaudio user-manager sddm sddm-theme-debian-breeze systemsettings xdg-utils xserver-xorg-video-nouveau xserver-xorg-input-kbd xserver-xorg-input-mouse
Устанавливал с ключом --no-install-recommends.

Cообщение объединено 05 Ноября 2017, 06:11:11
Кстати, заметил, что пятые кеды неиболее стабильны в Debian. Пробовал Kubuntu, OpenSUSE и др. Но стабильнее Debian не нашел. Хотя тот же Neon в режиме LiveCD работает без тормозов, но установишь его и пошли фризы.
« Последнее редактирование: 05 Ноября 2017, 06:11:11 от nihi1ist »
 

Оффлайн nihi1ist

 

Теги:
     

    [Решено] Ввод пароля для разблокировки после ждущего режима

    Автор epros

    Ответов: 2
    Просмотров: 5579
    Последний ответ 08 Мая 2015, 21:11:26
    от epros
    OPENVPN(проблема со сменой ip после в редакторе соединений)

    Автор Skyrise

    Ответов: 2
    Просмотров: 1649
    Последний ответ 23 Июля 2016, 15:02:16
    от Skyrise
    KDE5 (после SDDM - вечная загрузка)

    Автор gen

    Ответов: 0
    Просмотров: 2054
    Последний ответ 20 Августа 2015, 13:11:27
    от gen
    kde тормозит после замены коробочного в дебиан 9 на kde-full

    Автор ЦарьПушка

    Ответов: 15
    Просмотров: 3848
    Последний ответ 07 Марта 2018, 14:53:45
    от ihammers
    [Решено]После ресета и входа панель ровнехонько посередине..

    Автор gardarea51

    Ответов: 2
    Просмотров: 2198
    Последний ответ 19 Ноября 2012, 11:21:55
    от gardarea51